Portfolio Manager/Organization Payment History
Download payment history
GET
/external /secure /api /v2 /portfolio /organization /download /owned /payment-historyRequest
Query parameters
assetTypeIdstring<uuid>ID of asset type to query assets for. Required if assetGroupId is not provided.
assetGroupIdstring<uuid>ID of asset group to filter assets with. Required if assetTypeId is not provided.
reportDatestring<date>Cutoff date of requested payment history. Format yyyy-mm-dd
entityIdstring<uuid>ID of entity within the organization to limit payment history to
ownsPaymentsbooleanOnly show payments received during ownership of loan
Headers
apikeystringProvided key used to access the application's api
Responses
200CSV of payments for owned loans by asset type and report date for one or all entities in the organization
Returns the file as text/plain.
Response
Returns the file itself (text/plain).
GET
/external /secure /api /v2 /portfolio /organization /download /owned /payment-historyResponse
Returns the file itself (text/plain).